CREATE TABLE egp_catg_map_dtls (
    CATG_MAP_ID               NUMBER(18, 0) ,
    SOURCE_CATG_ID            NUMBER(18, 0) ,
    TARGET_CATG_ID            NUMBER(18, 0) ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    ATTRIBUTE_CATEGORY        VARCHAR2(120) ,
    ATTRIBUTE1                VARCHAR2(600) ,
    ATTRIBUTE2                VARCHAR2(600) ,
    ATTRIBUTE3                VARCHAR2(600) ,
    ATTRIBUTE4                VARCHAR2(600) ,
    ATTRIBUTE5                VARCHAR2(600) ,
    ATTRIBUTE6                VARCHAR2(600) ,
    ATTRIBUTE7                VARCHAR2(600) ,
    ATTRIBUTE8                VARCHAR2(600) ,
    ATTRIBUTE9                VARCHAR2(600) ,
    ATTRIBUTE10               VARCHAR2(600) ,
    ATTRIBUTE11               VARCHAR2(600) ,
    ATTRIBUTE12               VARCHAR2(600) ,
    ATTRIBUTE13               VARCHAR2(600) ,
    ATTRIBUTE14               VARCHAR2(600) ,
    ATTRIBUTE15               VARCHAR2(600) ,
    REQUEST_ID                NUMBER(18, 0) ,
    PROGRAM_NAME              VARCHAR2(120) ,
    PROGRAM_APP_NAME          VARCHAR2(200) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    ATTRIBUTE_NUMBER1         NUMBER        ,
    ATTRIBUTE_NUMBER2         NUMBER        ,
    ATTRIBUTE_NUMBER3         NUMBER        ,
    ATTRIBUTE_NUMBER4         NUMBER        ,
    ATTRIBUTE_NUMBER5         NUMBER        ,
    ATTRIBUTE_NUMBER6         NUMBER        ,
    ATTRIBUTE_NUMBER7         NUMBER        ,
    ATTRIBUTE_NUMBER8         NUMBER        ,
    ATTRIBUTE_NUMBER9         NUMBER        ,
    ATTRIBUTE_NUMBER10        NUMBER        ,
    ATTRIBUTE_DATE1           DATE          ,
    ATTRIBUTE_DATE2           DATE          ,
    ATTRIBUTE_DATE3           DATE          ,
    ATTRIBUTE_DATE4           DATE          ,
    ATTRIBUTE_DATE5           DATE          ,
    ATTRIBUTE_TIMESTAMP1      TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2      TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3      TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4      TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5      TIMESTAMP(6)  ,
    CATG_MAP_ID               NUMBER(18, 0) ,
    SOURCE_CATG_ID            NUMBER(18, 0) ,
    TARGET_CATG_ID            NUMBER(18, 0) ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    ATTRIBUTE_CATEGORY        VARCHAR2(120) ,
    ATTRIBUTE1                VARCHAR2(600) ,
    ATTRIBUTE2                VARCHAR2(600) ,
    ATTRIBUTE3                VARCHAR2(600) ,
    ATTRIBUTE4                VARCHAR2(600) ,
    ATTRIBUTE5                VARCHAR2(600) ,
    ATTRIBUTE6                VARCHAR2(600) ,
    ATTRIBUTE7                VARCHAR2(600) ,
    ATTRIBUTE8                VARCHAR2(600) ,
    ATTRIBUTE9                VARCHAR2(600) ,
    ATTRIBUTE10               VARCHAR2(600) ,
    ATTRIBUTE11               VARCHAR2(600) ,
    ATTRIBUTE12               VARCHAR2(600) ,
    ATTRIBUTE13               VARCHAR2(600) ,
    ATTRIBUTE14               VARCHAR2(600) ,
    ATTRIBUTE15               VARCHAR2(600) ,
    REQUEST_ID                NUMBER(18, 0) ,
    PROGRAM_NAME              VARCHAR2(120) ,
    PROGRAM_APP_NAME          VARCHAR2(200) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    ATTRIBUTE_NUMBER1         NUMBER        ,
    ATTRIBUTE_NUMBER2         NUMBER        ,
    ATTRIBUTE_NUMBER3         NUMBER        ,
    ATTRIBUTE_NUMBER4         NUMBER        ,
    ATTRIBUTE_NUMBER5         NUMBER        ,
    ATTRIBUTE_NUMBER6         NUMBER        ,
    ATTRIBUTE_NUMBER7         NUMBER        ,
    ATTRIBUTE_NUMBER8         NUMBER        ,
    ATTRIBUTE_NUMBER9         NUMBER        ,
    ATTRIBUTE_NUMBER10        NUMBER        ,
    ATTRIBUTE_DATE1           DATE          ,
    ATTRIBUTE_DATE2           DATE          ,
    ATTRIBUTE_DATE3           DATE          ,
    ATTRIBUTE_DATE4           DATE          ,
    ATTRIBUTE_DATE5           DATE          ,
    ATTRIBUTE_TIMESTAMP1      TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2      TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3      TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4      TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5      TIMESTAMP(6)  ,
    CONSTRAINT pk_egp_catg_map_dtls PRIMARY KEY (CATG_MAP_ID, SOURCE_CATG_ID, TARGET_CATG_ID, CATG_MAP_ID, SOURCE_CATG_ID, TARGET_CATG_ID)
);
